Bug 279147 - Clicking on folder icon in track details opens the parent directory
Summary: Clicking on folder icon in track details opens the parent directory
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-08-02 10:20 UTC by Mark Fraser
Modified: 2011-09-26 11:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Fraser 2011-08-02 10:20:37 UTC
Version:           2.4.3 (using KDE 4.7.0) 
OS:                Linux

If I click on "edit track details" and then click on the folder icon to open the directory, instead of opening the directory that the track is in, it opens the parent directory.

Reproducible: Always

Steps to Reproduce:
Right click on a track, click edit track details and click on the directory icon.

Actual Results:  
Konqueror loads showing the parent directory instead of the one I wanted.

Expected Results:  
Konqueror loads showing the directory I wanted to see.
Comment 1 Myriam Schweingruber 2011-08-02 12:07:25 UTC
So is this actually a Konqueror report or do you talk about the file browser in Amarok? That is not Konqueror nor Dolphin.
Comment 2 Mark Fraser 2011-08-02 17:25:53 UTC
No, this is an Amarok report as it is the button in Amarok that is causing Konqueror to open in the wrong directory. It used to work in 2.4.0.
Comment 3 Myriam Schweingruber 2011-08-03 10:05:16 UTC
Right, now I understand.
Comment 4 Sergey Ivanov 2011-08-06 10:04:33 UTC
Git commit fc8785c7991dbc27bf9cc195d654f966af11df39 by Sergey Ivanov.
Committed on 06/08/2011 at 10:27.
Pushed by ivanov into branch 'master'.

TagDialog's Open destination button now opens correct path instead of parent directory.
BUG: 279147
FIXED-IN: 2.4.4

M  +1    -1    src/dialogs/TagDialog.cpp

http://commits.kde.org/amarok/fc8785c7991dbc27bf9cc195d654f966af11df39